> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Top Merchants

> Returns the top merchants ranked by profit for a residual report period.



## OpenAPI

````yaml GET /api/partner/residuals/reports/{year}/{month}/top-merchants
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/residuals/reports/{year}/{month}/top-merchants:
    get:
      tags:
        - Residuals
        - Residuals
      summary: Get top merchants
      description: Returns the top merchants ranked by profit for a residual report period.
      operationId: >-
        get_top_merchants_api_partner_residuals_reports__year___month__top_merchants_get
      parameters:
        - name: year
          in: path
          required: true
          schema:
            type: integer
            maximum: 2100
            minimum: 2000
            description: Report year
            title: Year
          description: Report year
          example: 2025
        - name: month
          in: path
          required: true
          schema:
            type: integer
            maximum: 12
            minimum: 1
            description: Report month
            title: Month
          description: Report month
          example: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            description: Number of top merchants to return
            default: 10
            title: Limit
          description: Number of top merchants to return
          example: 10
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '503':
          description: Residuals data source unavailable
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````